
Redmine - Defect #9916

500 error on project settings page

2012-01-04 09:29 - Artem Berdishev

Status: Closed Start date:  

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category: Project settings Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.3.0

Description

After updating to version 1.3.0 I can't edit project settings. I get the 500 error. Here is the error in the log file:

ActionView::TemplateError (undefined method `new_project_issue_category_path' for #<ActionView::Ba

se:0x7f2686426090>) on line #29 of app/views/projects/settings/_issue_categories.html.erb

 I have tried to find this function, but it's no matches in any file of the project except this one.

History

#1 - 2012-01-04 09:42 - Etienne Massip

Please give details according to SubmittingBugs.

#2 - 2012-01-04 10:20 - Artem Berdishev

Sorry, here is details

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.7.2

Rack version              1.1.2

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Edge Rails revision       unknown

Application root          /home/www/redmine

Environment               production

Database adapter          mysql

Database schema version   20111010202847

About your Redmine plugins

Timesheet Plugin                     0.6.0

Redmine Extended Spent Time plugin   0.0.2

Redmine Code Review plugin           0.4.1

Extra query operators plugin         0.0.4

Redmine Light Box plugin             0.0.1

Redmine Checkout plugin              0.5

Redmine CKEditor plugin              0.0.5-ebrahim

Redmine My Widgets plugin            0.1.0

Redmine Google Docs Plugin plugin    0.0.1

Redmine Fields Permissions Plugin    1.0.0

Redmine Issue Checklist plugin       1.0.0

#3 - 2012-02-14 23:35 - Romans Malinovskis

- Assignee set to Jean-Philippe Lang

The line is added in r7881 by jplang. Seems like incomplete refactoring. Applying this patch seems to resolve problem:

Changing last line of file app/views/projects/settings/_issue_categories.html.erb to:

<p><%= link_to_if_authorized l(:label_issue_category_new), :controller => 'issue_categories', :action => 'new'

, :project_id => @project %></p>

 fixed problem for me.
Similarly, there are few more unresolved symbols:

new_project_query_path

new_query_path

Which I was able to trace to r7649 by emassip, which affect "issues" page.

Update: same problem appears in 1.3.1

#4 - 2012-02-14 23:56 - Jean-Philippe Lang

- Resolution set to Cant reproduce

Artem Berdishev wrote:

I have tried to find this function, but it's no matches in any file of the project except this one.

 You won't find it as it's generated by rails based on routes definitions, see http://guides.rubyonrails.org/routing.html#paths-and-urls FYI. Please, make

sure you have a fresh config/routes.rb and try without plugins.

#5 - 2013-04-13 12:14 - Jean-Baptiste Barth

- Status changed from New to Closed

- Assignee deleted (Jean-Philippe Lang)

I can't reproduce on a 2.x install. Please make sure you can reproduce with a fresh install without any plugin or old redmine files and reopen if it still

happens.
